Loading...
Searching...
No Matches
Opm::ScheduleState::map_member< K, T > Class Template Reference

## Public Member Functions

std::vector< K > | keys () const
template<typename Predicate>
const T * | find (Predicate &&predicate) const
const std::shared_ptr< T > | get_ptr (const K &key) const
bool | has (const K &key) const
void | update (const K &key, std::shared_ptr< T > value)
void | update (T object)
void | update (const K &key, const map_member< K, T > &other)
const T & | operator() (const K &key) const
const T & | get (const K &key) const
T & | get (const K &key)
std::vector< std::reference_wrapper< const T > > | operator() () const
std::vector< std::reference_wrapper< T > > | operator() ()
bool | operator== (const map_member< K, T > &other) const
std::size_t | size () const
std::unordered_map< K, std::shared_ptr< T > >::const_iterator | begin () const
std::unordered_map< K, std::shared_ptr< T > >::const_iterator | end () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static map_member< K, T > | serializationTestObject ()

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/ScheduleState.hpp